/*论坛构建自定义css*/
.list-group-item {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.bbs-index-column-center {
    margin: auto;
    width: 100px
}

#editor {
    overflow: scroll;
    max-height: 300px
}

#bbs_information_last_a {
    text-decoration: underline;
    color: red;
}

#bbs_change_fontSize {
    font-size: 14px;
}

#red-border {
    height: auto;
    border-style: solid;
    border-width: 2px;
    border-color: #D9534F;
}

#bbs_info_announcement {
    border-style: solid;
    border-width: 1px;
    border-color: #D9534F;
    border-radius: 10px;
    height: auto;
}

#bbs_post_userBar {
    padding: 0px;
}

#bbs_post_userBar_thumbnail {
    border-bottom: none 0;
    border-right: none 0;
    border-left: none 0;
    border-color: #efefef;
    border-radius: 0px;
    height: auto;
}

#bbs_post_li_emptyPoint {
    list-style-type: none;
    margin-bottom: 5px;
    vertical-align: middle;
    text-align: center;
}

#bbs_post_img_avatarSmall {
    margin-top: 10px;
    width: 110px;
    height: 110px;
}

#bbs_post_userName {
    font-size: 16px;
    font-weight: 600;
    list-style: none;
    margin: auto;
    width: 120px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    vertical-align: middle;
    text-align: center;

}

#bbs_post_userGroup {
    margin-top: 10px;
    list-style: none;
    font-weight: 600;
    vertical-align: middle;
    text-align: center;
}

#bbs_post_userButton {
    font-size: 14px;
    padding: 3px;
}

#bbs_post_subassemblyCenter {
    margin-top: 15px;
    margin-left: auto;
    margin-right: auto;
    padding: auto;
    vertical-align: middle;
    text-align: center;
}
/*考虑到回帖可能就两三句话的情况，所以，强制设置最小高度保平安*/
#bbs_post_main {
    padding: 0px;
    border-left: solid;
    border-width: 1px;
    border-color: #eee;
    min-height: 350px;
}

#bbs_post_main_follow{
    padding: 0px;
    border-left: solid;
    border-top: solid;
    border-width: 1px;
    border-left-color: #d3d3d3;
    border-top-color: #efefef;
    min-height: 350px;
}
#bbs_post_main_h {
    margin: 0px;
    font-size: 18px;
    font-weight: 600;

}

#bbs_post_main_heading {
    background: #e3e3e3;
    height: auto;
    border: none 0;

}

#bbs_post_main_panel {
    border: none 0;
    border-radius: 0px;
    margin-bottom: 0px;
}

#bbs_post_main_panel_bodyTop {
    padding-top: 8px;
    padding-bottom: 5px;
    border: 0;

}

#bbs_post_main_panel_bodyBottom {
    margin-bottom: 0px;
    border: 0;
    min-height: 354px;
}

#bbs_post_main_panel_LikeButton {
    margin-top: 5px;
    padding-top: 0px;
    margin-bottom: 0px;
    border: 0;
    vertical-align: middle;
    text-align: center;
}

#bbs_post_Overall {
    border-left: 2px solid #dfdfdf;
    border-right: 2px solid #dfdfdf;
    border-bottom: 2px solid #bfbfbf;
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.04);
    background: #FFFFFF;
    margin-bottom: 10px;
    height: auto;
}

.bbs_table table thead tr th{
    padding:11px 7px;
}

.bbs_table table tbody tr td{
    padding-top: 10px;
    padding-bottom: 10px;
    font-size: 12px;
}

.bbs_center{
    text-align: center;
}


/* --------------------------------------------- */
/*              MOBILE RESPONSIBLE               */
/* --------------------------------------------- */

@media only screen and (max-device-width : 780px){
    .wrapper .container {
        width: 95% !important;
    }
    
    /* Index Page */

    #user_post_actions {
        float: none;
        /*float: right;*/
    }

    ul#index_table li {
        font-size: 15px !important;
    }

    div.list-group .row {
        display: flex;
        display: -webkit-flex;
    }

    div.list-group .row > div.col-md-1 {
        flex-shrink: 0;
        width: 75px;
    }
    
    div.list-group .row > div.col-md-9 {
        flex-grow: 1;
    }
    
    div.list-group .row > div.col-md-2 {
        flex-shrink: 0;
        width: 160px;
    }

    /* Post Page */

    div#bbs_post_Overall .row {
        display: flex;
        display: -webkit-flex;
    }
    div#bbs_post_Overall .row div#bbs_post_userBar {
        flex-shrink: 0;
        width: 140px;
    }
    div#bbs_post_Overall .row div#bbs_post_main {
        flex-grow: 1;
    }

    /* Post Publish */

    div.container.post_publish .input-group {
        margin-bottom: 8px;
    }
    div.container.post_publish button {
        margin-bottom: 8px;
        float: right;
    }

} 
